
// testBmp.h
#ifndef _testBmp_H_
#define _testBmp_H_

extern BOOL Load_DIB_File( PTSTR pf );
extern BOOL DrawBitmap (HDC hdc, INT x, INT y, HBITMAP hbm, DWORD rop);
extern HBITMAP CropBitmap (HBITMAP hbm,   // SOURCE
                           HPALETTE hPal, // may be NULL
                           LPRECT lpRect, // CLIP region
                           LPPOINT pptSizeIn); // may also be NULL
extern BOOL ReplaceClip( HDC hdc, HBITMAP hbm, PRECT prcClip );
extern void CleanUp( void );
extern BOOL IsBMPFile( char * ps );
extern HANDLE ReadBMPFile( PTSTR pFile );
extern void Do_IDM_FILECLEAR( HWND hWnd );
extern void InitBitmapInfoHeader( LPBITMAPINFOHEADER lpBmInfoHdr,
						  DWORD dwWidth,
						  DWORD dwHeight,
						  int nBPP );
extern HBITMAP BitmapFromDib ( HANDLE hdib, HPALETTE hpal );

// Extract current selected BITMAP from a Device Context,
// and WRITE that to a BITMAP to a FILE
#define HDC2BMPFILE(a,b) { \
   HBITMAP _hbm; \
   _hbm = (HBITMAP)GetCurrentObject(a, OBJ_BITMAP); \
   if(_hbm) { \
   HANDLE _hdib = BMPToDIB(_hbm, NULL ); \
   if( _hdib ) { \
   WriteBMPFile( b, _hdib ); \
   MFREE(_hdib); \
   }}}

#endif // _testBmp_H_
// eof = testBmp.h
