// testGlobal.cxx

#include "testap3.h"
#define  TRY_LOCAL_ALLOC

// PTSTR pDefBMPFile2 = L"C:\\GTools\\tools\\dv32\\Inst\\TEMPB208.BMP";

#ifdef   TRY_LOCAL_ALLOC
#define  TMALLOC(a)   LocalAlloc(LPTR, a);
#define  TMFREE(a)    LocalFree(a);
#else
#define  TMALLOC(a)   malloc(a);
#define  TMFREE(a)    free(a);
#endif

PGLOB pGlob = NULL;

BOOL  InitGlobal( void )
{
   pGlob = (PGLOB) MALLOC(sizeof(GLOB));
   if( !pGlob )
      return FALSE;

   // any intialization required
   ZeroMemory( pGlob, sizeof(GLOB) );

   // Just some TEST allocation stuff
   // ===============================
   //m_next = new GLOB;
   //if( !m_next )
   //   return FALSE;

   m_BigBuf = VirtualAlloc( NULL, 3000000, MEM_COMMIT | MEM_RESERVE, PAGE_READWRITE );
   if( !m_BigBuf )
      return FALSE;

   m_malloc = malloc(1234);
   if( !m_malloc )
      return FALSE;

   m_globalloc = GlobalAlloc(GPTR, 5678);
   if( !m_globalloc )
      return FALSE;

   // RECT  rcClip2 = { 30, 20, 230, 140 };
   //SetRect( &m_Clip, // rectangle
   //   30, // left side
   //   20, // top side
   //   230, // right side
   //   140 ); // bottom side

   return TRUE;
}

void FreeGlobal( void )
{

#ifndef  DEBUG_LEAKS
   //m_next = new GLOB;
   //if( m_next )
   //   delete m_next;

   //m_BigBuf = VirtualAlloc( NULL, 3000000, MEM_COMMIT | MEM_RESERVE, PAGE_READWRITE );
   if( m_BigBuf )
      VirtualFree( m_BigBuf, 0, MEM_RELEASE );

   //m_malloc = malloc(1234);
   if( m_malloc )
      free(m_malloc);

   //m_globalloc = GlobalAlloc(GPTR, 5678);
   if( m_globalloc )
      GlobalFree( m_globalloc );

   // finally, FREE the Global memory
   // ===============================
   if( pGlob )
      MFREE(pGlob);

#endif   // !DEBUG_LEAKS

   pGlob = 0;
}

// eof - testGlobal.cxx

